/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-01-30
 * 描述            ：检验委托明细表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.IfJhySampleInfoDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_JHY_SAMPLE_INFO_D", namespace=IfJhySampleInfoDMapper.class)
public class IfJhySampleInfoD extends BaseVO implements Serializable {
	/** 
	 * 取样编号
	 */ 
	@Id
	private String specimen_no;
	public String getSpecimen_no() {
		return this.specimen_no;
	}
	public void setSpecimen_no(String specimen_no) {
		this.specimen_no = specimen_no;
	}

	/** 
	 * 检验项目流水号
	 */ 
	@Id
	private Long seq;
	public Long getSeq() {
		return this.seq;
	}
	public void setSeq(Long seq) {
		this.seq = seq;
	}

	/** 
	 * 材质检验项代码（大类）
	 */ 
	@Column
	private String phy_code_l;
	public String getPhy_code_l() {
		return this.phy_code_l;
	}
	public void setPhy_code_l(String phy_code_l) {
		this.phy_code_l = phy_code_l;
	}

	/** 
	 * 材质检验项名称（大类）
	 */ 
	@Column
	private String phy_name_l;
	public String getPhy_name_l() {
		return this.phy_name_l;
	}
	public void setPhy_name_l(String phy_name_l) {
		this.phy_name_l = phy_name_l;
	}

	/** 
	 * 试样组代码
	 */ 
	@Column
	private String phy_code_m;
	public String getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	/** 
	 * 试样组描述
	 */ 
	@Column
	private String phy_name_m;
	public String getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}

	/** 
	 * 材质检验项代码
	 */ 
	@Column
	private String phy_code_s;
	public String getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 材质检验项名称
	 */ 
	@Column
	private String phy_name_s;
	public String getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	/** 
	 * 试验方向代码
	 */ 
	@Column
	private String item_code_d;
	public String getItem_code_d() {
		return this.item_code_d;
	}
	public void setItem_code_d(String item_code_d) {
		this.item_code_d = item_code_d;
	}

	/** 
	 * 试验方向描述
	 */ 
	@Column
	private String item_name_d;
	public String getItem_name_d() {
		return this.item_name_d;
	}
	public void setItem_name_d(String item_name_d) {
		this.item_name_d = item_name_d;
	}

	/** 
	 * 试验温度代码
	 */ 
	@Column
	private String item_code_t;
	public String getItem_code_t() {
		return this.item_code_t;
	}
	public void setItem_code_t(String item_code_t) {
		this.item_code_t = item_code_t;
	}

	/** 
	 * 试验温度描述
	 */ 
	@Column
	private String item_name_t;
	public String getItem_name_t() {
		return this.item_name_t;
	}
	public void setItem_name_t(String item_name_t) {
		this.item_name_t = item_name_t;
	}

	/** 
	 * 试样尺寸代码
	 */ 
	@Column
	private String item_code_s;
	public String getItem_code_s() {
		return this.item_code_s;
	}
	public void setItem_code_s(String item_code_s) {
		this.item_code_s = item_code_s;
	}

	/** 
	 * 试样尺寸描述
	 */ 
	@Column
	private String item_name_s;
	public String getItem_name_s() {
		return this.item_name_s;
	}
	public void setItem_name_s(String item_name_s) {
		this.item_name_s = item_name_s;
	}

	/** 
	 * 值单位（从检验项基础表中取）
	 */ 
	@Column
	private String unti;
	public String getUnti() {
		return this.unti;
	}
	public void setUnti(String unti) {
		this.unti = unti;
	}

	/** 
	 * 俢约规则代码（COM_BASE_INFO:4108）(暂时不用）
	 */ 
	@Column
	private String round_off_rules_code;
	public String getRound_off_rules_code() {
		return this.round_off_rules_code;
	}
	public void setRound_off_rules_code(String round_off_rules_code) {
		this.round_off_rules_code = round_off_rules_code;
	}

	/** 
	 * 俢约规则名称(暂时不用）
	 */ 
	@Column
	private String round_off_rules_name;
	public String getRound_off_rules_name() {
		return this.round_off_rules_name;
	}
	public void setRound_off_rules_name(String round_off_rules_name) {
		this.round_off_rules_name = round_off_rules_name;
	}

	/** 
	 * 俢约位数(暂时不用）
	 */ 
	@Column
	private Long round_off_digits;
	public Long getRound_off_digits() {
		return this.round_off_digits;
	}
	public void setRound_off_digits(Long round_off_digits) {
		this.round_off_digits = round_off_digits;
	}

	/** 
	 * 检验项目拼接代码(材质检验项目代码_试样组代码_检验项目代码_方向代码_温度代码_尺寸代码)

	 */ 
	@Column
	private String phy_item_code;
	public String getPhy_item_code() {
		return this.phy_item_code;
	}
	public void setPhy_item_code(String phy_item_code) {
		this.phy_item_code = phy_item_code;
	}

	/** 
	 * 检验项目拼接描述(材质检验项目描述_试样组描述_检验项目描述_方向描述_温度描述_尺寸描述)
	 */ 
	@Column
	private String phy_item_desc;
	public String getPhy_item_desc() {
		return this.phy_item_desc;
	}
	public void setPhy_item_desc(String phy_item_desc) {
		this.phy_item_desc = phy_item_desc;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	/**
	 * 分组索引号(同一分组的为多选一项)
	 */
	@Column
    private String group_seq;
	public String getGroup_seq() {
		return group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}
    
}
